// STYLE INDEX //

// CARDS WRAPPER //
.cards-wrapper {
    display        : flex;
    flex-wrap      : wrap;
    justify-content: space-around;
    width          : 100%;
    max-width      : 1416px;
    margin         : auto;

    @include mobile {
        flex-direction: column;
        align-items   : center;
    }

    // MISSION CARDS WRAPPER //
    .mission-cards {
        display        : flex;
        flex-wrap      : wrap;
        justify-content: space-around;
        width          : 55%;
        margin         : 1.5rem 0;

        @include tablet {
            width: 60%;
        }

        @include mobile {
            width: 90%;
        }

        // MISSION CARD - UNIVERSAL //
        .mission-card {
            display         : flex;
            flex-direction  : column;
            justify-content : center;
            align-items     : center;
            width           : 93%;
            height          : 160px;
            margin          : 1rem 0;
            background-color: $primary;
            border-radius   : 10px;
            border          : 3px solid $complementary;
            transition      : 200ms;
            cursor          : pointer;

            @include desktop {
                height: 120px;
            }
        
            &:hover {
                transform: translateY(-10px);
            }

            &.clicked {
                width : 90%;
                height: auto;
                order : -1;

                &:hover {
                    transform: none;
                }
            }

            // CARD UNCLICKED - STYLE UNVERSAL //
            .mission-unclick {
                display        : flex;
                flex-direction : column;
                justify-content: center;
                align-items    : center;
                width          : 100%;
                height         : 160px;

                &.clicked {
                    display: none;
                }
        
                svg {
                    margin: 0.5rem;
                }
        
                p {
                    margin: 0.5rem;
                }
            }
    
            // CARD CLICKED - STYLE UNIVERSAL //
            .mission-click {
                display       : none;
                flex-direction: column;
                align-items   : center;
                width         : 100%;

                &.clicked {
                    display: flex;
                }

                svg {
                    padding    : 0.5rem 0.5rem 0 0;
                    margin-left: auto;
                }

                .card-info {
                    display       : flex;
                    flex-direction: column;
                    width         : 80%;
                    margin        : 0.5rem;
                    border-bottom : 2px dashed $complementary;

                    h3 {
                        padding      : 0.5rem;
                        margin       : 0.5rem 0;
                        border-bottom: 2px solid #ffffff;
                    }

                    p {
                        padding: 0.5rem;
                    }

                    a {
                        padding    : 0.5rem 1rem 1rem 1rem;
                        margin-left: auto;
                        
                        svg {

                            &:hover {
                                
                                path {
                                    fill: $neon-4;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    // TOOL CARDS WRAPPER //
    .tool-cards {
        display        : flex;
        flex-wrap      : wrap;
        justify-content: space-around;
        align-items    : center;
        width          : 40%;
        height         : 585px;
        margin         : 1.5rem 0;

        @include desktop {
            height: 465px;
        }

        @include tablet {
            flex-direction: column;
            width         : 35%;
            height        : auto;
        }

        @include mobile {
            flex-direction: row;
            width         : 90%;
        }

        // TOOL CARD - UNIVERSAL //
        .tool-card {
            display         : flex;
            flex-direction  : column;
            justify-content : center;
            align-items     : center;
            width           : 160px;
            height          : 160px;
            margin          : 1rem 0.7rem;
            background-color: $primary;
            border-radius   : 10px;
            border          : 3px solid $neon-1;
            text-align      : center;
            transition      : 200ms;
            cursor          : pointer;

            @include desktop {
                width : 120px;
                height: 120px;
            }
        
            &:hover {
                transform: translateY(-10px);
            }

            &.clicked {
                width : 90%;
                height: auto;
                order : -1;

                &:hover {
                    transform: none;
                }
            }

            // CARD UNCLICKED - STYLE UNVERSAL //
            .tool-unclick {
                display        : flex;
                flex-direction : column;
                justify-content: center;
                align-items    : center;
                width          : 100%;
                height         : 160px;

                &.clicked {
                    display: none;
                }
        
                svg {
                    margin: 0.5rem;
                }
        
                p {
                    margin: 0.5rem;
                }
            }
    
            // CARD CLICKED - STYLE UNIVERSAL //
            .tool-click {
                display: none;
                width  : 100%;

                svg {
                    padding    : 0.5rem 0.5rem 0 0;
                    margin-left: auto;
                }

                &.clicked {
                    display       : flex;
                    flex-direction: column;
                    align-items   : center;

                    p {
                        width        : 70%;
                        padding      : 0.5rem;
                        margin       : 0.5rem 0;
                        border-bottom: 2px solid #ffffff;
                    }

                    ul {
                        width     : 70%;
                        text-align: left;
                        list-style: none;
        
                        li {
                            padding: 0.5rem;

                            &:last-child {
                                margin-bottom: 1rem;
                            }

                            div {
                                display: flex;

                                a {

                                    margin-left: auto;
                                    
                                    svg {
                                        width      : 15px;
                                        height     : 15px;
    
                                        &:hover {
                                            
                                            path {
                                                fill: $neon-4;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}